Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierRefreshResponseMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierRefreshResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class GlacierRefreshResponseMessage

extends GlacierMessage

See Also:
  Serialized Form

Field Summary
`protected boolean` | `online`
`protected IdRange` | `range`
`static short` | `TYPE`

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierRefreshResponseMessage(int uid, IdRange range, boolean online, NodeHandle source, Id dest, char tag)`

Method Summary
`static GlacierRefreshResponseMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`IdRange` | `getRange()`
`short` | `getType()` Raw Serialization
`boolean` | `isOnline()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### range

    protected IdRange range

### online

    protected boolean online

Constructor Detail

### GlacierRefreshResponseMessage

    public GlacierRefreshResponseMessage(int uid,
                                         IdRange range,
                                         boolean online,
                                         NodeHandle source,
                                         Id dest,
                                         char tag)

Method Detail

### getRange

    public IdRange getRange()

### isOnline

    public boolean isOnline()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `GlacierMessage`
  Throws:
    `java.io.IOException`

### build

    public static GlacierRefreshResponseMessage build(InputBuffer buf,
                                                      Endpoint endpoint)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.